GuideLab API

Update a bundle

Update an existing bundle's properties and optionally replace its items. Validates category, products ownership, and SKU uniqueness.

PUT
/bundles/{id}

Update an existing bundle's properties and optionally replace its items. Validates category, products ownership, and SKU uniqueness.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Bundle ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/bundles/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "bundle": {    "id": "string",    "labId": "string",    "categoryId": "string",    "name": "string",    "sku": "string",    "description": "string",    "bundlePrice": "string",    "isActive": true,    "isHidden": true,    "sortOrder": 0,    "shareTeeth": true,    "shareMaterial": true,    "shareShade": true,    "quantityEnabled": true,    "createdAt": null,    "updatedAt": null,    "items": [      {        "id": "string",        "bundleId": "string",        "productId": "string",        "sortOrder": 0,        "product": {          "id": "string",          "name": "string",          "sku": "string",          "defaultPrice": "string"        }      }    ]  }}
Empty
Empty
Empty
Empty
Empty